<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Asset_AssetDetailPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell" valign="top">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink"></asp:HyperLink> 
                    &gt; 
                <asp:Label ID="assetIDLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="editLink" runat="server" CssClass="leftLink"
                    Text="<%$ Resources:asset, Edit_Asset %>"></asp:HyperLink>
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="moveLink" runat="server" CssClass="leftLink"
                    Text="<%$ Resources:asset, Move_Asset %>"></asp:HyperLink>
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:HyperLink ID="delLink" runat="server" CssClass="leftLink"
                    Text="<%$ Resources:asset, Delete_Asset %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="addNoteLinkTr" runat="server">
            <td class="leftCell">
                <asp:HyperLink id="addNoteLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:asset, Add_Note %>"></asp:HyperLink>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <table width="100%" cellspacing="0" cellpadding="2" border="0">
        <tr>
            <td class="viewLabel" width="25%">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:asset, Product %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:asset, Asset_Name %>" />
            </td>
            <td class="viewLabel" width="25%">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:asset, Serial_Number %>" />
            </td>
            <td class="viewLabelNoR" width="25%">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:asset, User %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:HyperLink ID="productLink" runat="server"></asp:HyperLink>&nbsp;
            </td>
            <td class="viewData">
                <asp:Label id="nameLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewData">
                <asp:Label id="snLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewDataNoR">
                <asp:HyperLink id="userLink" runat="server"></asp:HyperLink>&nbsp;
            </td>
        </tr>
        <tr>
            <td class="viewLabel">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:asset, Purchase_Date %>" />
            </td>
            <td class="viewLabelNoR" colspan="3">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:asset, Description %>" />
            </td>
        </tr>
        <tr>
            <td class="viewData">
                <asp:Label id="boughtOnLabel" runat="server"></asp:Label>&nbsp;
            </td>
            <td class="viewDataNoR" colspan="3">
                <asp:Label id="descLabel" runat="server"></asp:Label>&nbsp;
            </td>
        <tr>
    </table>

    <table width="100%" cellSpacing="0" cellPadding="2" border="0">
        <tr><td>&nbsp;</td></tr>
        <tr>
            <td class="listTitle2" colspan="2">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:asset, Notes %>" />
            </td>
        </tr>
        <asp:repeater id="Repeater1" runat="server">
            <itemtemplate>
                <tr>
                    <td class="listDataNoB">
                        <%# Eval("asn_added_on") %> by <%# Eval("usr_display_name")%>
                    </td>
                    <td class="listDataNoB" align="right">
                        <a href='AsNoteEditPage.aspx?asNoteID=<%# Eval("asn_id") %>'>
                            <asp:Localize id="Localize6" runat="server" 
                                Text="<%$ Resources:asset, Edit %>" />
                        </a>
                    </td>
                </tr>
                <tr>
                    <td valign="top" class="listDataNoB" colspan="2">
                        <%# Eval("asn_detail") %>
                    </td>
                </tr>
                <tr><td class="listData" colspan="2">&nbsp;</td></tr>
            </itemtemplate>
        </asp:repeater>
    </table>

    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td class="listTitle2">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:asset, Service_History %>" />
            </td>
        </tr>
    </table>
    <asp:GridView ID="srGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15"
        AutoGenerateColumns="False" AllowPaging="True" 
        OnPageIndexChanging="srGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="sr_id" 
                DataNavigateUrlFormatString="~/SR/SrDetailPage.aspx?srID={0}"
                DataTextField="sr_id" 
                HeaderText="<%$ Resources:asset, Req_ID %>">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="sr_submitted_on" 
                HeaderText="<%$ Resources:asset, Submitted_On %>" 
                SortExpression="sr_submitted_on">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="sr_subject" 
                HeaderText="<%$ Resources:asset, Subject %>" 
                SortExpression="sr_subject">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="StatusName" 
                HeaderText="<%$ Resources:asset, Status %>" 
                SortExpression="StatusName">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
</asp:Content>

