<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Rep_Page, nServiceDeploy" title="Untitled Page" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="hl1" runat="server" NavigateUrl="RepPage.aspx" 
                    CssClass="pathLink" Text="<%$ Resources:report, Reports %>" />
                &gt;
                <asp:Label ID="pageNameLabel" runat="server"></asp:Label>
                <asp:LinkButton ID="editQueryLink" runat="server" CssClass="pathLink"
                    Text="<%$ Resources:report, _Edit_ %>" 
                    OnClick="editQueryClick" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr id="newRepTr" runat="server">
            <td class="leftCell">
                <asp:HyperLink ID="HyperLink4" runat="server" CssClass="pathLink" 
                    Text="<%$ Resources:report, New_Report %>"
                    NavigateUrl="RepEditPage.aspx" />
            </td>
        </tr>
        <tr>
            <td class="leftCellNoB">
                <asp:TreeView ID="queryTree" runat="server" 
                    OnSelectedNodeChanged="queryTree_SelectedNodeChanged" 
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="queryGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15"
        AutoGenerateColumns="False"
        AllowPaging="True" OnPageIndexChanging="queryGrid_PageIndexChanging"
        AllowSorting="True" OnSorting="queryGrid_Sorting" >
        <HeaderStyle HorizontalAlign="Left"/>
        <Columns>
            <asp:BoundField 
                DataField="rq_name" 
                HeaderText="<%$ Resources:report, ReportName %>" 
                SortExpression="rq_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="rq_description" 
                HeaderText="<%$ Resources:report, Description %>" 
                SortExpression="rq_description">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="usr_display_name" 
                HeaderText="<%$ Resources:report, ReportOwner %>" 
                SortExpression="usr_display_name">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "RepPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:report, Run %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "RepEditPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:report, Edit %>'></asp:HyperLink>
                    |
                    <asp:HyperLink ID="HyperLink3" runat="server" 
                        NavigateUrl='<%# Eval("rq_id", "RepDelPage.aspx?rqID={0}") %>'
                        Text='<%$ Resources:report, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" Width="10%" Wrap="false" />
            </asp:TemplateField> 
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />

    <rsweb:ReportViewer ID="ReportViewer1" runat="server" Font-Names="Verdana" Font-Size="8pt"
        Height="100%" Width="100%">
        <LocalReport ReportPath="Report/BarChart.rdlc">
        <DataSources>
            <rsweb:ReportDataSource DataSourceId="ObjectDataSource1" Name="ReportData">
            </rsweb:ReportDataSource>
        </DataSources>
        </LocalReport>
    </rsweb:ReportViewer>
    <rsweb:ReportViewer ID="ReportViewer2" runat="server" Font-Names="Verdana" Font-Size="8pt"
        Height="100%" Width="100%">
        <LocalReport ReportPath="Report/Matrix.rdlc">
        <DataSources>
            <rsweb:ReportDataSource DataSourceId="ObjectDataSource1" Name="ReportData">
            </rsweb:ReportDataSource>
        </DataSources>
        </LocalReport>
    </rsweb:ReportViewer>
    <rsweb:ReportViewer ID="ReportViewer3" runat="server" Font-Names="Verdana" Font-Size="8pt"
        Height="100%" Width="100%">
        <LocalReport ReportPath="Report/Aggregate.rdlc">
        <DataSources>
            <rsweb:ReportDataSource DataSourceId="ObjectDataSource1" Name="ReportData">
            </rsweb:ReportDataSource>
        </DataSources>
        </LocalReport>
    </rsweb:ReportViewer>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetAll"
        TypeName="ReportData">
    </asp:ObjectDataSource>
</asp:Content>

