<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Article_ArtDetailPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink">
                    PathLink</asp:HyperLink> &gt;
                <asp:label id="pathLabel" Runat="server">Path</asp:label> : 
                <asp:Label ID="titleLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="4" border="0">
        <tr id="artEditTr" runat="server">
            <td class="leftCell" nowrap="nowrap">
                <asp:HyperLink ID="artEditLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:article, Edit %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="artMoveTr" runat="server">
            <td class="leftCell" nowrap="nowrap">
                <asp:HyperLink ID="artMoveLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:article, Move %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="artFilesTr" runat="server">
            <td class="leftCell" nowrap="nowrap">
                <asp:HyperLink ID="artFilesLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:article, Attachments %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="artReferersTr" runat="server">
            <td class="leftCell" nowrap="nowrap">
                <asp:HyperLink ID="artReferersLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:article, Associations %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="artDelTr" runat="server">
            <td class="leftCell" nowrap="nowrap">
                <asp:HyperLink ID="artDelLink" runat="server" CssClass="leftLink" 
                    Text="<%$ Resources:article, Delete %>"></asp:HyperLink>
            </td>
        </tr>
        <tr id="voteTr" runat="server">
            <td class="leftCell">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:article, WasArtHelpful %>" /><br /> 
                <asp:LinkButton ID="helpYesButton" runat="server" 
                    CssClass="leftLink" OnClick="helpYesButton_Click" 
                    Text="<%$ Resources:article, Yes %>" /> |
                <asp:LinkButton ID="helpNoButton" runat="server" 
                    CssClass="leftLink" OnClick="helpNoButton_Click"
                    Text="<%$ Resources:article, No %>" /> 
            </td>
        </tr>
        <tr id="voteThankYouTr" runat="server">
            <td class="leftCell">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:article, ThankFeedback %>" />
            </td>
        </tr>
        <tr>
            <td class="leftCell">
                <asp:Label ID="updateInfoLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr id="keywordsTr" runat="server">
            <td class="leftCell">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:article, Keywords %>" />:
                <asp:Label ID="keywordsLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="2" border="0">
        <tr>
            <td class="listData" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoR">
                <asp:Literal ID="contentLiteral" runat="server"></asp:Literal>
            </td>
        </tr>
        <tr id="attachmentTr" runat="server" visible="false">
            <td class="viewDataNoRB">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:article, Attachments %>" />:
                <asp:DataList ID="attachmentList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a target="_blank" href=
                            'ArtFileSenderPage.aspx?fileID=<%# Eval("af_id") %>'>
                            <%# Eval("af_file_name") %>
                        </a>
                        (<%# Eval("af_file_size") %> bytes)
                    </ItemTemplate>
                    <SeparatorTemplate>
                        ,
                    </SeparatorTemplate>
                </asp:DataList>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoRB">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:article, Applicable_Products %>" />:
                <asp:DataList ID="productList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a href='../Product/ProductPage.aspx?pdID=<%# Eval("pd_id") %>'>
                            <%# Eval("pd_name")%>
                        </a>
                    </ItemTemplate>
                    <SeparatorTemplate>
                        ,
                    </SeparatorTemplate>
                </asp:DataList>
                &nbsp;
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:article, Services %>" />:
                <asp:DataList ID="serviceList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a href="../Service/ServicePage.aspx?srvID=<%# Eval("srv_id") %>">
                            <%# Eval("srv_name")%>
                        </a>
                    </ItemTemplate>
                    <SeparatorTemplate>
                        ,
                    </SeparatorTemplate>
                </asp:DataList>
            </td>
        </tr>
    </table>
</asp:Content>
