﻿<%@ page language="C#" masterpagefile="~/Common/Panel2d.master" autoeventwireup="true" inherits="DefaultPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="Default.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" Text="<%$ Resources:common, Home %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="viewTitle">
                <asp:HyperLink ID="lastQuestionLink" runat="server" 
                    CssClass="pathLink"></asp:HyperLink>
                <asp:Label ID="answerToLastLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr id="explanationTr" runat="server">
            <td class="viewDataNoRB">
                <asp:Literal ID="contentLiteral" runat="server"></asp:Literal>
            </td>
        </tr>
        <tr id="attachmentTr" runat="server">
            <td class="viewDataNoRB">
                <asp:Localize id="L2" runat="server" Text="<%$ Resources:common, Attachments %>" />: 
                <asp:DataList ID="attachmentList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a target="_blank" href='WizFileSenderPage.aspx?fileID=<%# Eval("wf_id") %>'>
                            <%# Eval("wf_name") %>
                        </a>(<%# Eval("wf_size") %> bytes)
                    </ItemTemplate><SeparatorTemplate>,</SeparatorTemplate>
                </asp:DataList>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoRB">
                <asp:Label ID="quesionLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoRB">
                <ul>
                    <asp:Repeater ID="answerRepeater" runat="server">
                        <itemtemplate>
                            <li style="padding: 4px 0px 4px 0px"><%# Container.DataItem %></li>
                        </itemtemplate>
                    </asp:Repeater>
                </ul>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr id="annHeaderTr" runat="server">
            <td width="1%">&nbsp;&nbsp;</td>
            <td class="listTitle" colspan="2">
                <asp:Localize id="L3" runat="server" Text="<%$ Resources:common, Announcements %>" />
            </td>
        </tr>
        <asp:Repeater ID="annRepeater" runat="server">
            <itemtemplate>
                <tr>
                    <td></td>
                    <td width="1%" class="listDataNoB" valign="top">
                        -
                    </td>
                    <td width="98%" class="listDataNoB">
                        <a href='Article/AnnViewPage.aspx?annID=<%# Eval("art_id") %>'
                            class="leftLink"><%# Eval("art_title")%><br />
                            <%# Eval("art_updated_on") %></a>
                    </td>
                </tr>
            </itemtemplate>
        </asp:Repeater>
        <tr id="afterAnnTr" runat="server"><td>&nbsp;</td></tr>
        <tr id="artHeaderTr" runat="server">
            <td></td>
            <td class="listTitle2" colspan="2">
                <asp:Localize id="L4" runat="server" Text="<%$ Resources:common, Popular_Articles %>" />
            </td>
        </tr>
        <asp:Repeater ID="artRepeater" runat="server">
            <itemtemplate>
                <tr>
                    <td></td>
                    <td width="1%" class="listDataNoB" valign="top">
                        -
                    </td>
                    <td width="98%" class="listDataNoB">
                        <a href='Article/ArtDetailPage.aspx?artID=<%# Eval("art_id") %>'
                            class="leftLink"><%# Eval("art_title")%></a>
                    </td>
                </tr>
            </itemtemplate>
        </asp:Repeater>
    </table>
</asp:Content>
