<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="KB_SearchPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:label id="pathLabel" Runat="server">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:kb, KB_Search_Results %>" />
                </asp:label>
            </td>
            <td class="pathCell" align="right">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:kb, Search %>" />
                <asp:TextBox ID="KeywordText" runat="server" Columns="18" />
                <asp:Button ID="SearchButton" runat="server" 
                    Text="<%$ Resources:kb, Go %>" 
                    OnClick="SearchButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="formError" valign="top">
                <asp:Label ID="errMsgLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:GridView ID="articleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging= "True"
        OnSorting="articleGrid_Sorting" OnPageIndexChanging="articleGrid_PageIndexChanging"
        EmptyDataText="No record found">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="art_id,ownerType,ownerID" 
                DataNavigateUrlFormatString=
                    "../Article/ArtDetailPage.aspx?artID={0}&ownerType={1}&ownerID={2}"
                DataTextField="art_id" 
                HeaderText="<%$ Resources:kb, Article_ID %>" 
                SortExpression="art_id">
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField 
                DataField="art_title" 
                HeaderText="<%$ Resources:kb, Title %>" 
                SortExpression="art_title">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_views" 
                HeaderText="<%$ Resources:kb, Views %>" 
                SortExpression="art_views">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_up_votes" 
                HeaderText="<%$ Resources:kb, Up_Votes %>" 
                SortExpression="art_up_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField 
                DataField="art_total_votes" 
                HeaderText="<%$ Resources:kb, Total_Votes %>" 
                SortExpression="art_total_votes">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:HiddenField ID="artSortDirHidden" runat="server" />
    <asp:HiddenField ID="artSortExprHidden" runat="server" />
</asp:Content>

