<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="User_AddPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:user, Add_User %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="50%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle" colspan="2">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:user, Add_User %>" />
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:user, Organization %>" />: 
            </td>
            <td>
                <asp:TextBox ID="orgNameTxt" runat="server" Columns="50" MaxLength="50">
                </asp:TextBox> 
            </td>
        </tr>
        <tr id="roleInOrgTr" runat="server">
            <td nowrap="nowrap">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:user, Role_in_Organization %>" />:
            </td>
            <td nowrap="nowrap">
                <asp:DropDownList ID="roleInOrgDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:user, User %>" Value="1" />
                    <asp:ListItem Text="<%$ Resources:user, Administrator %>" Value="2" />
                </asp:DropDownList>
            </td>
        </tr>
        <tr id="siteTr" runat="server">
            <td>
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:user, Site %>" />: 
            </td>
            <td>
                <asp:DropDownList ID="siteDdl" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:user, Logon_Name %>" />:
            </td>
            <td nowrap="nowrap">
                <asp:TextBox id="logonNameTxt" runat="server" Columns="50" maxlength="20" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                    runat="server" ControlToValidate="logonNameTxt"
                    ErrorMessage="<%$ Resources:user, LogonNameRequired %>" 
                    Display="Dynamic" 
                    SetFocusOnError="True">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:user, Password %>" />:
            </td>
            <td>
                <input type="password" id="initPwd" runat="server" size="50" maxlength="20">
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:user, Retype_Password %>" />:
            </td>
            <td>
                <input type="password" id="initPwd2" runat="server" size="50" maxlength="20">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:user, Display_Name %>" />:
            </td>
            <td nowrap="nowrap">
                <input type="text" id="dispNameTxt" runat="server" size="50" maxlength="25">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:user, Email_Address %>" />:
            </td>
            <td>
                <input type="text" id="emailAddressTxt" runat="server" size="50" maxlength="50">
                <asp:RegularExpressionValidator ID="RegularExpressionValidator6" runat="server" 
                    ControlToValidate="emailAddressTxt"
                    ErrorMessage="<%$ Resources:user, EnterValidEmail %>" 
                    SetFocusOnError="True" 
                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                    >*</asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:user, Phone_Number %>" />:
            </td>
            <td>
                <input type="text" id="phoneTxt" runat="server" size="50" maxlength="20">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:user, Other_Phone %>" />:
            </td>
            <td>
                <input type="text" id="cellPhoneTxt" runat="server" size="50" maxlength="20">
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize13" runat="server" 
                    Text="<%$ Resources:user, Department %>" />:
            </td>
            <td>
                <input type="text" id="deptTxt" runat="server" size="50" maxlength="30">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize14" runat="server" 
                    Text="<%$ Resources:user, Title %>" />:
            </td>
            <td>
                <input type="text" id="titleTxt" runat="server" size="50" maxlength="20">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize15" runat="server" 
                    Text="<%$ Resources:user, Office %>" />:
            </td>
            <td>
                <input type="text" id="officeTxt" runat="server" size="50" maxlength="50">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize16" runat="server" 
                    Text="<%$ Resources:user, Address %>" />:
            </td>
            <td>
                <input type="text" id="addrTxt" runat="server" size="50" maxlength="30">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize17" runat="server" 
                    Text="<%$ Resources:user, City %>" />:
            </td>
            <td>
                <input type="text" id="cityTxt" runat="server" size="50" maxlength="30">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize18" runat="server" 
                    Text="<%$ Resources:user, State %>" />:
            </td>
            <td>
                <input type="text" id="stateTxt" runat="server" size="50" maxlength="30">
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize19" runat="server" 
                    Text="<%$ Resources:user, Zipcode %>" />:
            </td>
            <td>
                <input type="text" id="zipcodeTxt" runat="server" size="50" maxlength="20">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize20" runat="server" 
                    Text="<%$ Resources:user, Country %>" />:
            </td>
            <td>
                <input type="text" id="countryTxt" runat="server" size="50" maxlength="30">
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize21" runat="server" 
                    Text="<%$ Resources:user, Service_Zone %>" />:
            </td>
            <td>
                <asp:DropDownList ID="zoneDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>  
        <tr>
            <td>
                <asp:Localize id="Localize22" runat="server" 
                    Text="<%$ Resources:user, Theme %>" />:
            </td>
            <td>
                <asp:dropdownlist id="themeDdl" runat="server">
                    <asp:listitem value="plain"  Text="<%$ Resources:user, plain %>" />
                    <asp:listitem value="spring" Text="<%$ Resources:user, spring %>" />
                    <asp:listitem value="summer" Text="<%$ Resources:user, summer %>" />
                    <asp:listitem value="fall"   Text="<%$ Resources:user, fall %>" />
                    <asp:listitem value="winter" Text="<%$ Resources:user, winter %>" />
                </asp:dropdownlist>
            </td>
        </tr>
        <tr id="groupTr" runat="server">
            <td>
                <asp:Localize id="Localize23" runat="server" 
                    Text="<%$ Resources:user, Group %>" />:
            </td>
            <td>
                <asp:DropDownList ID="groupDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <asp:Button ID="saveButton" runat="server" 
                    Text="<%$ Resources:user, Save %>" OnClick="saveButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

